<?php



/**

 * @package 	mod_bt_contentshowcase - BT ContentShowcase Module

 * @version		1.0

 * @created		Oct 2011



 * @author		BowThemes

 * @email		support@bowthems.com

 * @website		http://bowthemes.com

 * @support		Forum - http://bowthemes.com/forum/

 * @copyright	Copyright (C) 2012 Bowthemes. All rights reserved.

 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

 *

 */

// no direct access

defined('_JEXEC') or die('Restricted access');

//Get to process link

jimport('joomla.application.component.model');

JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_content/models');

require_once JPATH_SITE . '/components/com_content/helpers/route.php';

require_once 'btsource.php';

/**

 * class BtContentDataSource

 */

if(!class_exists('BtSermonspeakerDataSource')){

class BtSermonspeakerDataSource extends BTSource {



    function getList() {

        $params = &$this->_params;



        $formatter = $params->get('style_displaying', 'title');

        $titleMaxChars = $params->get('title_max_chars', '100');

        $limit_title_by = $params->get('limit_title_by', 'char');

        $descriptionMaxChars = $params->get('description_max_chars', 100);

        $limitDescriptionBy = $params->get('limit_description_by', 'char');

        $isThumb = $params->get('image_thumb', 1);

		$thumbWidth = (int) $params->get('thumbnail_width', 280);

		$thumbHeight = (int) $params->get('thumbnail_height', 150);

		$showimage = $params->get('show_image', 1);

        $replacer = $params->get('replacer', '...');

        $isStrips = $params->get("auto_strip_tags", 1);

		$use_linka = $params->get('use_linka',0);

		$use_introimg = $params->get('use_introimg',1);

		$use_caption = $params->get('use_caption',0);



        $stringtags = '';

		if ($isStrips) {

			$allow_tags = $params->get("allow_tags", 'br');

			$stringtags = '';

			if(!is_array($allow_tags)){

				$allow_tags = explode(',',$allow_tags);

			}

			foreach ($allow_tags as $tag) {

				$stringtags .= '<' . $tag . '>';

			}

		}



        if (!$params->get('default_thumb', 1)) {

            $this->_defaultThumb = '';

        }



        $ordering = $params->get('ordering', 'created-asc');

		

        $db = JFactory::getDbo();



		$query_sermon	= $db->getQuery(true);

		$query_sermon->select('a.title as sermon_title, a.speaker_id, a.id as sermon_id, a.sermon_date, a.sermon_time, a.picture, a.notes, a.alias');
		$query_sermon->select('b.title as name, b.pic, b.id as speaker_id, b.alias as speaker_alias');
		$query_sermon->select('c.title as series_title, c.id as series_id, c.alias as series_alias, c.avatar as series_pic');
		$query_sermon->from('#__sermon_sermons AS a'); 
		$query_sermon->join('LEFT', '#__sermon_speakers AS b ON b.id = a.speaker_id');
		$query_sermon->join('LEFT', '#__sermon_series AS c ON c.id = a.series_id');
		$query_sermon->where('a.state = 1');
		$query_sermon->where('b.state = 1');
		$query_sermon->where('c.state = 1');		
		if ($ordering == 'created-desc')
		{
			$query_sermon->order('a.sermon_date DESC, (sermon_number+0) DESC');
		}
		$db->setQuery($query_sermon, 0, $params->get('limit_items', 12));

		$items	= $db->loadObjectList();

		$itemid = (int)$params->get('ls_mo_menuitem');
			//print_r($items);
		foreach ($items as &$item)

		{

			$item->title = htmlspecialchars($item->title);
			if($item->picture)
			{
				$item->thumbnail = self::renderThumb($item->picture, $thumbWidth, $thumbHeight, $isThumb);
			}
			else if($item->series_pic)
			{
				$item->thumbnail = self::renderThumb($item->series_pic, $thumbWidth, $thumbHeight, $isThumb);
				
			}
			else
			{
				$item->thumbnail = self::renderThumb($item->pic, $thumbWidth, $thumbHeight, $isThumb);
			}

			$item->description = '<div style="text-align:center">Speaker: <a href="'.JRoute::_('index.php?option=com_sermonspeaker&view=speaker&id='.$item->speaker_id.':'.$item->speaker_alias.'&Itemid='.$itemid).'" target="_self"> '.$item->name.'</a>';

			$item->description = $item->description.'<br>Sermon Date: '.JHtml::Date($item->sermon_date, 'Y-m-d', true);

			$item->description = $item->description.'<br>Series: <a href="'.JRoute::_('index.php?option=com_sermonspeaker&view=serie&id='.$item->series_id.':'.$item->series_alias.'&Itemid='.$itemid).'" target="_self">'.$item->series_title.'</a>';	

			$item->description = $item->description.'</div>';

			$item->introtext = $item->sermon_title;

			$item->link =  JRoute::_('index.php?option=com_sermonspeaker&view=sermon&id='.$item->sermon_id.':'.$item->alias.'&Itemid='.$itemid);		 

			$item->title_cut = $item->sermon_title;

		}

        return $items;

    }

	function getCategoryIds(){

		$db = JFactory::getDBO();

		$category = array();

		if($this->_params->get('auto_category') && JRequest::getVar('option')=='com_content'){

			$catid = JRequest::getInt('catid');

			if($catid) $category = array($catid);

			else{

				if( JRequest::getVar('view')=='article'){

					$itemid = JRequest::getInt('id');

					$db->setQuery('select catid from #__content where id='.$itemid);

					$catid = $db->loadResult();

					if($catid) $category = array($catid);

				}

			}

		}

		if(empty($category)){

			$category = $this->_params->get('category', array());

		}

		return $category;

	}



}

}

?>